/* Root Variables */
:root {
  --bg-color: #ffffff;
  --text-color: #000000;
  --btn-bg: #000000;
  --btn-text: #ffffff;
  --box-color: #ffffff;
  --icon-color: #f10707;
  --heading-color: #000000;
  --music-box: #d2d2d2;
  --bordercolor: rgb(222, 212, 212);
}

.dark-mode {
  --bg-color: #000000;
  --text-color: #ffffff;
  --btn-bg: #ffffff;
  --btn-text: #000000;
  --box-color: #1F1F1F;
  --icon-color: #ffcc00;
  --heading-color: #ffcc00;
  --music-box: #1c1a1a;
  --bordercolor: rgb(48, 48, 48);
}

/* Basic Reset */
html {
  scroll-behavior: smooth;
}

body {
  background-color: var(--bg-color);
  color: var(--text-color);
  font-family: 'Arial', sans-serif;
  margin: 0;
  padding: 0;
  transition: 0.3s;
  text-align: center;
}

.container {
  max-width: 1000px;
  margin: 0 auto;
  padding: 0 20px;
}

.boxborder {
  border: 2px solid var(--bordercolor);
  /* background-color: var(--box-color); */
  border-radius: 10px;
  padding: 15px;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.2);
  /* margin-bottom: 10px; */
}
  .project-card>div {
    /* background-color: var(--box-color); */
    /* border-radius: 10px;
    padding: 15px;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.2); */
    /* margin-bottom: 10px; */
    /* margin: 5px; */
    margin: 5px;
  }

.nolinebreak {
  white-space: nowrap;
}

.boxborder:hover {
  box-shadow: 0 0 20px rgba(255, 255, 255, 0.5);
}

/* Navbar */
header {
  background: rgba(0, 255, 225, 0.8);
  backdrop-filter: blur(5px);
  /* box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); */
  /* padding: 10px; */
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 1000;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  border-bottom: 2px solid #f4c430;
  height: 6vh;

}

.nav-links {
  display: flex;
  gap: 15px;
}

.nav-links a {
  color: white;
  text-decoration: none;
  font-size: 18px;
  padding: 10px;
}

.nav-brand {
  color: white;
  /* font-size:22px; */
  font-size: 1.5rem;
  font-weight: bold;
}

nav a {
  color: white;
  text-decoration: none;
  /* font-size: 18px; */
  /* padding: 15px 10px; */
}

nav a:hover {
  color: yellow;
  text-shadow: 0 0 10px yellow;
}


/* h3:hover{
  color: yellow;
  text-shadow: 0 0 10px yellow;
 }
 .dark h3:hover{
  color: #00bfff;
}
  */
h3 {
  color: var(--heading-color);
}

h3 {
  font-size: 30px;
  transition: all 0.3s ease;
  cursor: pointer;
}

/* body.light h3:hover{
  color: yellow;
  text-shadow: 0 0 10px yellow;
} */
h3:hover {
  /* color: rgb(255, 255, 0); */
  text-shadow: 0 0 10px rgb(255, 251, 3);
}




.nav-brand:hover {
  color: yellow;
  text-shadow: 0 0 10px rgb(255, 247, 0);
}

/* h3:hover{
  color: yellow;
  text-shadow: 0 0 10px yellow;
} */
/* Hero */
.hero {
  margin-top: 100px;
  padding: 40px 20px;
}

.profile-pic {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  object-fit: cover;
  border: 3px solid #f4c430;
  margin: 20px 0;
  object-position: right 30%;
}

button:hover,
.btn:hover {
  background-color: rgb(65, 199, 112);
  box-shadow: 0 0 10px;
}



/* .newidea{
  background: rgb(31, 32, 31);
  height: 50px;
  width: 200px;
  display: flex;
  align-items: center;
  border-radius: 10px;
  justify-content: center;
} */



/* Sections */
section {
  display: none;
  /* padding: 80px 20px; */
  text-align: left;
}

section.active {
  display: block;
}

h1 {
  color: #ffcc00;
}

h2 {
  color: var(--heading-color);
}

.icon-style {
  color: var(--icon-color);
  margin-right: 8px;
}

/* Project Card */
.project-card {
  background-color: var(--box-color);
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(255, 255, 255, 0.2);
  margin-top: 40px;
  /* text-align: justify; */
  text-align: justify;
  text-justify: inter-word;
  font-size: 1.1rem;
  line-height: 1.6;
  margin-bottom: 12px;
  /* color: #ddd; */

}

.project-card:hover {
  box-shadow: 0 0 10px rgba(255, 255, 255, 0.5);
}

/* Dark Mode Button */
#DL {
  position: fixed;
  text-align: right;
}

#theme-toggle {
  position: fixed;
  /* top: 80px; */
  top: 63px;
  /* right: 12px; */
  z-index: 2000;
  background-color: var(--btn-bg);
  color: var(--btn-text);
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.2);
  transition: background-color 0.3s, color 0.3s;
}

/* Typography */
p,
li {
  font-size: large;
}

.alink {
  color: rgb(164, 164, 245);
}

/* Contact */
.contact-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: var(--box-color);
  border-radius: 20px;
  box-shadow: 0 0 10px rgba(255, 255, 255, 0.2);
}

.contact-box:hover {
  box-shadow: 0 0 10px rgba(255, 255, 255, 0.5);
}

.contact-item {
  margin: 10px 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 18px;
}

.contact-item img {
  margin-right: 10px;
}

.contact-item a {
  color: #008cff;
  text-decoration: none;
}

.contact-item a:hover {
  color: rgb(2, 120, 255);
  text-shadow: 0 0 10px rgb(5, 143, 255);
}

/* Explore Button */
.explore-btn {
  display: inline-block;
  padding: 10px 20px;
  margin-top: 15px;
  font-size: 16px;
  background-color: #ffb700;
  color: #000;
  border: none;
  border-radius: 25px;
  text-decoration: none;
  transition: background-color 0.3s ease;
}

.explore-btn:hover {
  background-color: #ffc933;
  cursor: pointer;
  box-shadow: 0 0 10px #ffb700;
}

.bullet::before {
  content: "• ";
  color: var(--text-color);
  margin-right: 5px;
}

.hc:hover {
  text-shadow: 0 0 10px black;
}

@media (max-width: 768px) {
  body {
    font-size: 16px;
  }

  .container {
    flex-direction: column;
  }

  nav a {
    font-size: 16px;
    padding: 10px;
  }

  .profile-pic {
    width: 150px;
    height: 150px;
  }

  /* #theme-toggle {
    top: 5vh;
    right: 5vw;
  } */
}

body {
  background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
  background-size: 400% 400%;
  animation: gradientBG 15s ease infinite;
  color: var(--text-color);
  font-family: 'Arial', sans-serif;
  margin: 0;
  padding: 0;
  transition: 0.3s;
  text-align: center;
}

@keyframes gradientBG {
  0% {
    background-position: 0% 50%;
  }

  50% {
    background-position: 100% 50%;
  }

  100% {
    background-position: 0% 50%;
  }
}

@media (max-width: 768px) {
  nav {
    flex-wrap: nowrap;
    /* Prevent wrapping */
    overflow-x: auto;
    /* Allow horizontal scroll */
    -webkit-overflow-scrolling: touch;
    /* Smooth scroll on iOS */
  }

  nav a {
    flex: 0 0 auto;
    /* Keep each link sized to content */
    font-size: 18px;
    padding: 10px 15px;
  }
}

/* NAVIGATION */
header {
  background: rgba(0, 0, 0, 0.8);
  backdrop-filter: blur(5px);
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  padding: 10px;
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 9000;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 2px solid #f4c430;
}

.hideo {
  /* background: yellow; */
  /* padding: 20px; */
  /* margin-right: 2vh; */
}

#spas {
  /* background-color: green; */
  margin-right: 20px;
}

.nav-brand {
  color: white;
  font-size: 25px;
  font-weight: bold;
  padding: 0 10px;
}

.hamburger {
  display: none;
  font-size: 28px;
  /* left: 12vw; */
  right: 2rem;
  cursor: pointer;
  position: fixed;
  background-color: rgb(155, 142, 142);
  padding: 0px 8px 0px 8px;
  border-radius: 5px;
  z-index: 10000;
  gap: 5px;
  flex-direction: column;
}

/* .nav-links {
  display: flex;
  gap: 15px;
}

.nav-links a {
  color: white;
  text-decoration: none;
}

.nav-links a:hover {
  color: yellow;
  text-shadow: 0px 0px 10px yellow;
} */

/* Mobile Responsive Nav */
@media (max-width: 768px) {
  .hamburger {
    display: block !important;
  }

  h1 {
    font-size: larger;
  }

  .nav-links {
    display: none;
    flex-direction: column;
    position: absolute;
    top: 10vh;
    right: 4vh;
    width: 70px;
    background: rgba(32, 32, 32, 0.95);
    /* background: var(--bg-color); */
    border-radius: 10px;
    padding: 5px;
  }

  .nav-links.show {
    display: flex;
  }

  .nav-links a {
    padding: 5px 5px;
    font-size: 15px;
    border-bottom: 1px solid #555;
    color: #00bfff;
    text-decoration: none;
  }

}




@media (min-width: 765px)and(max-width: 1024px) and (orientation: landscape) {
  .btn {
    margin-top: 2vh;
  }

  .hamburger {
    display: none;
    font-size: 24px;
    /* left: 12vw; */
    right: 1.5rem;
    cursor: pointer;
    position: fixed;
    background-color: rgb(255, 255, 255);
    padding: 0px 8px 0px 8px;
    border-radius: 5px;
    z-index: 10000;
    gap: 5px;
    flex-direction: column;
  }
}

@media (max-width: 768px) and (orientation: landscape) {
  .nav-links {
    top: 13vh;
    right: 7vh;
    width: auto;
    padding: 5px;
    font-size: 14px;
  }

  .nav-links a {
    padding: 4px 1px;
    font-size: 13px;
  }

  h1 {
    font-size: medium;
  }

  .btn {
    margin-top: 2vh;
  }

  .hamburger {
    display: none;
    font-size: 24px;
    /* left: 12vw; */
    right: 1.5rem;
    cursor: pointer;
    position: fixed;
    background-color: rgb(255, 255, 255);
    padding: 0px 8px 0px 8px;
    border-radius: 5px;
    z-index: 10000;
    gap: 5px;
    flex-direction: column;
  }
}









/* 
@media (max-width: 768px) {
  #theme-toggle {
  position: fixed;
  top: 10vh; 
  /* right: 62vw;
  top:70px;
  right: 220px;
  z-index: 2000;
  background-color: var(--btn-bg);
  color: var(--btn-text);
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;
}
}


@media (min-width:500px) and (max-width: 762px) {
  .hamburger {
  display: none;
  font-size: 28px;
  left: 30vw;
  cursor: pointer;
  position: relative;
  background-color: rgb(155, 142, 142);
  padding: 0px 8px 0px 8px;
  border-radius: 5px;
  z-index: 10000;
}

#theme-toggle {
  top: 10vh;;
  right: 82vw;
}
}

/* @media (min-width:375px) and (max-width: 400px) {
  .hamburger {
  display: none;
  font-size: 28px;
  left: 3.5rem;
  cursor: pointer;
  position: relative;
  background-color: rgb(155, 142, 142);
  padding: 0px 8px 0px 8px;
  border-radius: 5px;
  z-index: 10000;
}
 .hamburger{
  display: flex;
 }

#theme-toggle {
  top: 10vh;;
  right: 16.5rem;
}
} */



/* @media (min-width: 769px) {
    #theme-toggle {
      right: 1rem;
      top: 4.6rem;
      
    }
     .hamburger {
    display: flex; shown on mobile
  }
  }
  @media (max-width: 768px) {
    #theme-toggle {
      left: 1rem;
    }
     .hamburger {
    display: flex; shown on mobile
  }
  } */

#theme-toggle {
  position: fixed;
  /* top: 56px; */
  top: 11vh;
  background-color: var(--btn-bg);
  color: var(--btn-text);
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;

}

@media (min-width: 769px) {
  #theme-toggle {
    right: 1rem;
  }
}

@media (max-width: 768px) {
  #theme-toggle {
    left: 1rem;
  }
}


@media (max-width: 768px) {
  .project-card {
    display: flex;
    flex-direction: column;
    /* gap: 20px; */
    padding: 15px;
    font-size: 16px;
    /* background-color: yellowgreen; */
  }

  .project-card>div {
    background-color: var(--box-color);
    border-radius: 10px;
    padding: 15px;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.2);
    /* margin-bottom: 10px; */
    margin: 5px;
  }

  .project-card h3 {
    font-size: 20px;
    margin-bottom: 10px;
    text-align: center;
  }

  .project-card ul {
    padding-left: 20px;
    padding-right: 20px;
  }

  .project-card li {
    font-size: large;
    margin-bottom: 20px;
  }

  .learning-background p {
    font-size: 14px;
    color: #888;
    text-align: center;
    margin-top: 10px;
  }

  .skills-content h1 {
    font-size: 26px;
    margin-bottom: 20px;
  }
}

.skills-content,
.project-card {
  width: 100%;
  box-sizing: border-box;
}